/*
 * $Id: ReducedErrorMeasure.java 2320 2011-01-25 13:06:10Z febo $
 * 
 * ============================================================================
 *
 * This file is part of Myra.
 *
 * Myra is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Myra is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Myra. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright (C) 2008-2010 Fernando Esteban Barril Otero
 * 
 * ============================================================================
 */

package net.sf.myra.antree;

import net.sf.myra.antree.representation.Tree;
import net.sf.myra.datamining.Measure;
import net.sf.myra.datamining.Model;
import net.sf.myra.datamining.Unit;
import net.sf.myra.datamining.data.Dataset;

/**
 * @author Fernando Esteban Barril Otero
 * @version $Revision: 2320 $ $Date:: 2011-01-25 13:06:10#$
 */
public class ErrorBasedMeasure
	implements Measure
{
	public Unit<?> evaluate(Dataset dataset, Model model)
	{
		if (!(model instanceof Tree))
		{
			throw new IllegalArgumentException("Invalid model type: "
				+ model.getClass().getName());
		}

		Tree tree = (Tree) model;
		double error =
			ErrorBasedMetric.getInstance().error(tree.getRoot(),
				tree.gather(dataset));
		int total = dataset.getSize();

		return new Unit<Double>((total - error) / total);
	}
}