/*
 * $Id: Heuristic.java 2345 2011-08-29 12:16:22Z febo $
 * 
 * ============================================================================
 *
 * This file is part of Myra.
 *
 * Myra is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Myra is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Myra. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright (C) 2008-2010 Fernando Esteban Barril Otero
 * 
 * ============================================================================
 */

package net.sf.myra.antree;

import net.sf.myra.antree.representation.Branch;
import net.sf.myra.datamining.data.Attribute;

/**
 * @author Fernando Esteban Barril Otero
 * @version $Revision: 2345 $ $Date:: 2011-08-29 13:16:22#$
 */
public interface Heuristic
{
	/**
	 * Returns the heuristic value for the specified attribute.
	 *
	 * @param branch the branch of the tree being followed.
	 * @param attribute the attribute to determine the heuristic value.
	 *  
	 * @return the heuristic value for the specified attribute.
	 */
	public double valueFor(Branch branch, Attribute attribute);
}