/*
 * $Id: Iteration.java 2320 2011-01-25 13:06:10Z febo $
 * 
 * ============================================================================
 *
 * This file is part of Myra.
 *
 * Myra is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Myra is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Myra. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright (C) 2008-2010 Fernando Esteban Barril Otero
 * 
 * ============================================================================
 */

package net.sf.myra.antree;

import net.sf.myra.antree.representation.Tree;

/**
 * @author Fernando Esteban Barril Otero
 * @version $Revision: 2320 $ $Date:: 2011-01-25 13:06:10#$
 */
public class Iteration
{
	/**
	 * The iteration number. The first iteration is the iteration
	 * <code>0</code>.
	 */
	private int number;

	/**
	 * The best tree of the iteration.
	 */
	private Tree tree;

	/**
	 * Default constructor.
	 * 
	 * @param tree the best tree of the iteration.
	 * @param number the iteration number;
	 */
	public Iteration(Tree tree, int number)
	{
		this.tree = tree;
		this.number = number;
	}

	/**
	 * Returns the iteration number.
	 * 
	 * @return the iteration number.
	 */
	public int getNumber()
	{
		return number;
	}

	/**
	 * Returns the best tree of the iteration.
	 * 
	 * @return the best tree of the iteration.
	 */
	public Tree getTree()
	{
		return tree;
	}
}