/*
 * $Id: IterationTest.java 2329 2011-08-02 08:57:44Z febo $
 * 
 * ============================================================================
 *
 * This file is part of Myra.
 *
 * Myra is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Myra is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Myra. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright (C) 2008-2010 Fernando Esteban Barril Otero
 * 
 * ============================================================================
 */

package net.sf.myra.antree;

import net.sf.myra.framework.Configuration;

/**
 * @author Fernando Esteban Barril Otero
 * @version $Revision: 2329 $ $Date:: 2011-08-02 09:57:44#$
 */
public class IterationTest
	implements ConvergenceTest
{
	/**
	 * The property key under which the colony size is stored.
	 */
	public static final String MAXIMUM_ITERATIONS =
		"net.sf.myra.antree.iteration";

	/**
	 * The maximum number of iterations.
	 */
	private int maximum;

	/**
	 * Default constructor.
	 */
	public IterationTest()
	{
		maximum = Configuration.getIntProperty(MAXIMUM_ITERATIONS, 500);
	}

	public boolean hasConverged(Graph graph, Iteration iteration)
	{
		return (iteration.getNumber() >= maximum);
	}
}