/*
 * $Id: InternalNode.java 2320 2011-01-25 13:06:10Z febo $
 * 
 * ============================================================================
 *
 * This file is part of Myra.
 *
 * Myra is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Myra is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Myra. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright (C) 2008-2010 Fernando Esteban Barril Otero
 * 
 * ============================================================================
 */

package net.sf.myra.antree.representation;

import net.sf.myra.datamining.data.Attribute;
import net.sf.myra.datamining.data.Label;

/**
 * @author Fernando Esteban Barril Otero
 * @version $Revision: 2320 $ $Date:: 2011-01-25 13:06:10#$
 */
public final class InternalNode
	extends Node
{
	/**
	 * Creates a new internal node.
	 * 
	 * @param level the level of the node.
	 * @param attribute the attribute represented by the node.
	 * @param branches the branches originating from this node.
	 */
	public InternalNode(int level, Attribute attribute, Branch[] branches)
	{
		super(level, attribute, branches);
	}

	@Override
	public String label()
	{
		return getAttribute().getName();
	}

	@Override
	public Label getPrediction()
	{
		throw new UnsupportedOperationException(
			"Internal nodes do not have a prediction");
	}

	@Override
	public void setPrediction(Label prediction)
	{
		throw new UnsupportedOperationException(
			"Internal nodes do not have a prediction");
	}
}