/*
 * $Id: ParentBranchEncoder.java 2320 2011-01-25 13:06:10Z febo $
 * 
 * ============================================================================
 *
 * This file is part of Myra.
 *
 * Myra is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Myra is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Myra. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright (C) 2008-2010 Fernando Esteban Barril Otero
 * 
 * ============================================================================
 */

package net.sf.myra.antree.representation;

/**
 * Default branch encoder. It uses the information from the node where
 * the branch starts and also from the branch that leads to the originating
 * node.
 * 
 * @author Fernando Esteban Barril Otero
 * @version $Revision: 2320 $ $Date:: 2011-01-25 13:06:10#$
 */
public class ParentBranchEncoder
	implements BranchEncoder
{
	public int encode(Branch branch)
	{
		Node from = branch.getFrom();
		StringBuffer buffer = new StringBuffer();

		if (from.getParent() != null)
		{
			Branch previous = from.getParent().getBranch(from);
			buffer.append(previous.getTerm().toString());
		}

		buffer.append(from.label());
		buffer.append(branch.getTerm().toString());
		buffer.append(from.getLevel());

		return buffer.toString().hashCode();
	}
}