/*
 * $Id$ 
 */

package net.sf.myra.cantminer.alpha;

import net.sf.myra.antree.EntropyHelper;
import net.sf.myra.datamining.data.Attribute;
import net.sf.myra.datamining.data.Dataset;
import net.sf.myra.datamining.data.Metadata;
import net.sf.myra.framework.Graph;
import net.sf.myra.framework.HeuristicInformation;
import net.sf.myra.framework.HeuristicValue;
import net.sf.myra.framework.Vertex;

/**
 * @author Fernando Esteban Barril Otero
 * @version $Revision$ $Date::                    #$
 */
public class AttributeEntropyHeuristic
	implements HeuristicInformation
{
	/**
	 * The entropy helper instance.
	 */
	private EntropyHelper helper;

	/**
	 * The dataset metadata.
	 */
	private Metadata metadata;

	public AttributeEntropyHeuristic(Dataset dataset)
	{
		helper = new EntropyHelper(dataset);
		metadata = dataset.getMetadata();
	}

	public void initialize(Graph<?> graph)
	{
		for (Vertex<?> vertex : graph.vertices())
		{
			if (metadata.contains(vertex.getLabel()))
			{
				Attribute attribute = metadata.get(vertex.getLabel());

				vertex.setHeuristicValue(new HeuristicValue(helper
					.gainRatio(attribute)));
			}
		}
	}
}