/*
 * $Id$ 
 */

package net.sf.myra.cantminer.alpha;

import java.util.Collection;

import net.sf.myra.cantminer.alpha.step.ContinuousStep;
import net.sf.myra.cantminer.alpha.step.NominalStep;
import net.sf.myra.cantminer.alpha.step.Step;
import net.sf.myra.datamining.data.Attribute;
import net.sf.myra.datamining.data.ContinuousAttribute;
import net.sf.myra.datamining.data.Dataset;
import net.sf.myra.datamining.data.IntervalBuilder;
import net.sf.myra.datamining.data.Metadata;
import net.sf.myra.datamining.data.NominalAttribute;
import net.sf.myra.framework.Graph;
import net.sf.myra.framework.Vertex;

/**
 * @author Fernando Esteban Barril Otero
 * @version $Revision$ $Date::                    #$
 */
public class GraphFactory
{
	public Graph<Step> create(Dataset dataset)
	{
		Metadata metadata = dataset.getMetadata();
		IntervalBuilder builder = IntervalBuilder.getInstance(metadata);
		Collection<Attribute> attributes = metadata.getPredictor();
		Graph<Step> graph = new Graph<Step>(attributes.size());

		for (Attribute attribute : attributes)
		{
			int index = metadata.getIndex(attribute.getName());
			Step step = null;

			if (attribute instanceof NominalAttribute)
			{
				step = new NominalStep((NominalAttribute) attribute, index);
			}
			else if (attribute instanceof ContinuousAttribute)
			{
				step =
					new ContinuousStep((ContinuousAttribute) attribute, index,
						builder);

				((ContinuousAttribute) attribute).domain(dataset);
			}

			Vertex<Step> vertex = new Vertex<Step>(attribute.getName());
			vertex.setInfo(step);
			graph.add(vertex);
		}

		graph.connect();

		return graph;
	}
}