/*
 * This file is part of Myra.
 *
 * Myra is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Myra is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Myra. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright (C) 2008-2011 Fernando Esteban Barril Otero
 */

package net.sf.myra.cantminer.alpha;

import java.util.HashMap;
import java.util.Map;

import net.sf.myra.datamining.data.Term;

/**
 * @author Fernando Esteban Barril Otero
 */
public class RuleThresholdCache
{
	private Map<String, Term> cache = new HashMap<String, Term>();

	public void add(String partial, Term term)
	{
		if (cache.containsKey(partial))
		{
			throw new IllegalArgumentException("Duplicated cache entry: "
				+ partial);
		}

		cache.put(partial, term);
	}

	public Term get(String partial)
	{
		return cache.get(partial);
	}
}