/*
 * $Id$ 
 */

package net.sf.myra.cantminer.alpha.step;

import java.util.List;

import net.sf.myra.datamining.Evaluator;
import net.sf.myra.datamining.data.Instance;
import net.sf.myra.datamining.data.Term;

/**
 * @author Fernando Esteban Barril Otero
 * @version $Revision$ $Date::                    #$
 */
public abstract class AbstractStep
	implements Step
{
	private static final long serialVersionUID = -4536087997900060729L;

	protected boolean accept(Term term, List<Instance> instances, int minimum)
	{
		List<Instance> set = Evaluator.filter(instances, term);
		int size = set.size();
		return (size >= minimum);
	}

	public AbstractStep clone()
	{
		try
		{
			return (AbstractStep) super.clone();
		}
		catch (CloneNotSupportedException e)
		{
			throw new InternalError(e.getMessage());
		}
	}
}