/*
 * This file is part of Myra.
 *
 * Myra is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Myra is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Myra. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright (C) 2008-2012 Fernando Esteban Barril Otero
 */

package net.sf.myra.datamining;

import net.sf.myra.datamining.data.Dataset;
import net.sf.myra.framework.ObjectiveFunction;

/**
 * This class provides a skeletal implementation of the
 * <code>ObjectiveFunction</code> interface.
 * 
 * @see ObjectiveFunction
 * @see ClassAssignator
 * 
 * @author Fernando Esteban Barril Otero
 * @version $Revision$ $Date::                     $
 */
public abstract class AbstractObjectiveFunction
	implements ObjectiveFunction
{
	/**
	 * The dataset reference.
	 */
	private Dataset dataset;

	/**
	 * Creates a new <code>AbstractObjectiveFunction</code> instance.
	 * 
	 * @param dataset the dataset reference.
	 */
	public AbstractObjectiveFunction(Dataset dataset)
	{
		this.dataset = dataset;
	}

	public void setDataset(Dataset dataset)
	{
		this.dataset = dataset;
	}

	/**
	 * @return the dataset
	 */
	public Dataset getDataset()
	{
		return dataset;
	}
}