/*
 * $Id$
 * 
 * ============================================================================
 *
 * This file is part of Myra.
 *
 * Myra is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Myra is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Myra. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright (C) 2008  Fernando Esteban Barril Otero
 * 
 * ============================================================================
 */

package net.sf.myra.datamining;

import net.sf.myra.datamining.data.Dataset;
import net.sf.myra.datamining.data.Label;

/**
 * This class represents a fixed value (specified in the constructor) class
 * assignator.
 * 
 * @see ClassAssignator
 * 
 * @author Fernando Esteban Barril Otero
 * @version $Revision$ $Date::                     $
 */
public class FixedClassAssignator
	implements ClassAssignator
{
	/**
	 * The default class value.
	 */
	private Label consequent;

	/**
	 * Default constructor.
	 * 
	 * @param consequent the default consequent label.
	 */
	public FixedClassAssignator(Label consequent)
	{
		this.consequent = consequent;
	}

	/**
	 * Assigns the default class value to the rule.
	 */
	public void assign(Rule rule, Dataset dataset)
	{
		rule.setConsequent(consequent);
	}
}