/*
 * $Id$
 * 
 * ============================================================================
 *
 * This file is part of Myra.
 *
 * Myra is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Myra is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Myra. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright (C) 2008  Fernando Esteban Barril Otero
 * 
 * ============================================================================
 */

package net.sf.myra.datamining;

import net.sf.myra.datamining.data.Instance;
import net.sf.myra.datamining.data.Label;

/**
 * This interface represents the knowledge discovered by a classifier.
 * 
 * @see Classifier
 * 
 * @author Fernando Esteban Barril Otero
 * @version $Revision$ $Date::                     $
 */
public interface Model
{
	/**
	 * Classifies the secified instance.
	 * 
	 * @param instance the instance to be classified.
	 * 
	 * @return the class predicted by this model.
	 */
	public Label classify(Instance instance);
	
	/**
	 * Returns the gatherer instance for this model.
	 *  
	 * @return the gatherer instance for this model.
	 */
	public Gatherer getGatherer();
}