/*
 * $Id$ 
 */

package net.sf.myra.datamining.data;

import net.sf.myra.framework.Graph;
import net.sf.myra.framework.HeuristicInformation;
import net.sf.myra.framework.HeuristicValue;
import net.sf.myra.framework.Vertex;

/**
 * @author Fernando Esteban Barril Otero
 * @version $Revision$ $Date::                     $
 */
public class DistanceHeuristicInformation
	implements HeuristicInformation
{
	/**
	 * The current data set.
	 */
	private Dataset dataset;

	/**
	 * Default constructor.
	 * 
	 * @param dataset the current data set.
	 */
	public DistanceHeuristicInformation(Dataset dataset)
	{
		this.dataset = dataset;
	}

	public void initialize(Graph<?> graph)
	{
		DistanceContent content = new DistanceContent(dataset);
		double maximum = content.maximum();

		for (Vertex<?> vertex : graph.getVertices())
		{
			if (content.contains(vertex.getLabel()))
			{
				double v = content.variance(vertex.getLabel());
				v = Double.isInfinite(v) ? 0 : (maximum - v) / maximum;
				vertex.setHeuristicValue(new HeuristicValue(v));
			}
		}
	}
}