/*
 * $Id$ 
 */

package net.sf.myra.datamining.io;

import net.sf.myra.datamining.Model;
import net.sf.myra.datamining.data.Dataset;
import net.sf.myra.datamining.data.Instance;
import net.sf.myra.datamining.data.Label;

/**
 * @author Fernando Esteban Barril Otero
 * @version $Revision$ $Date::                    #$
 */
public abstract class ProbabilisticExporter
	extends HierarchicalExporter
{
	@Override
	public abstract void write(Dataset testSet, Model discovered);

	/**
	 * Writes the instance informations.
	 * 
	 * @param instance the instance reference.
	 * @param probability the predicted class probability array.
	 */
	protected void export(Instance instance, double[] probability)
	{
		StringBuffer buffer = new StringBuffer();

		String root = hierarchy.getRoot().getLabel();
		Label original = instance.getLabel();
		buffer.append(original.toLabel(hierarchy.leaves(original.getValues())));

		for (int i = 0; i < original.length(); i++)
		{
			String l = original.names()[i];

			if (!root.equals(l))
			{
				buffer.append(",");
				buffer.append(original.active(i) ? "1" : "0");
			}
		}

		for (int i = 0; i < probability.length; i++)
		{
			String l = original.names()[i];

			if (!root.equals(l))
			{
				buffer.append(",");
				buffer.append(probability[i]);
			}
		}

		writer.println(buffer.toString());
	}
}