/*
 * $Id$
 * 
 * ============================================================================
 *
 * This file is part of Myra.
 *
 * Myra is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Myra is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Myra. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright (C) 2008-2009  Fernando Esteban Barril Otero
 * 
 * ============================================================================
 */

package net.sf.myra.datamining.model;

import java.util.Collection;

import net.sf.myra.datamining.Rule;
import net.sf.myra.datamining.data.Instance;
import net.sf.myra.datamining.data.Label;

/**
 * @author Fernando Esteban Barril Otero
 * @version $Revision$ $Date::                     $
 */
public abstract class ProbabilisticRuleModel
	extends AbstractRuleModel
	implements ProbabilisticModel
{
	private static final long serialVersionUID = 1526510195746523998L;

	/**
	 * Default constructor.
	 * 
	 * @param rules the collection of discovered rules.
	 */
	public ProbabilisticRuleModel(Collection<Rule> rules)
	{
		super(rules);
	}

	public Label classify(Instance instance)
	{
		throw new UnsupportedOperationException("Probabilistic rule model.");
	}
}