/*
 * $Id$
 * 
 * ============================================================================
 *
 * This file is part of Myra.
 *
 * Myra is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Myra is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Myra. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright (C) 2008  Fernando Esteban Barril Otero
 * 
 * ============================================================================
 */

package net.sf.myra.datamining.model;

import java.util.LinkedList;
import java.util.List;
import net.sf.myra.datamining.Rule;
import net.sf.myra.datamining.data.Instance;
import net.sf.myra.datamining.data.Label;

/**
 * This class represents a rule list model.
 * 
 * @author Fernando Esteban Barril Otero
 * @version $Revision$ $Date::                     $
 */
public class RuleList
	extends AbstractRuleModel
{
	private static final long serialVersionUID = 3285263758819942487L;

	public RuleList()
	{
		super(new LinkedList<Rule>());
	}

	@Override
	public List<Rule> getRules()
	{
		return (List<Rule>) super.getRules();
	}

	public Label classify(Instance instance)
	{
		for (Rule rule : getRules())
		{
			if (rule.isCovered(instance))
			{
				return rule.getConsequent();
			}
		}

		throw new IllegalArgumentException("Could not classify the instance");
	}
}