/*
 * $Id$ 
 */

package net.sf.myra.datamining.statistics;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.PrintWriter;
import java.util.Arrays;
import java.util.HashSet;

/**
 * Utility to export the coordinates of the PR curve given a predictions
 * file.
 * 
 * @author Fernando Esteban Barril Otero
 * @version $Revision$ $Date::                     $
 */
public class CurveExporter
{
	public static void main(String[] args)
		throws Exception
	{
		if (args.length != 2)
		{
			System.out.println("usage: " + CurveExporter.class.getName()
				+ " <predictions file> <output file> [class label]");
			System.exit(1);
		}

		Information info =
			new Parser().read(args[0], CurveFactory.PRECISION_RECALL,
				new HashSet<String>(Arrays.asList(new String[] { "GO0003674",
					"GO0005575", "GO0008150" })));

		Curve curve = null;
		
		if (args.length == 3)
		{
			curve = info.get(args[3]);
		}
		else
		{
			curve = info.getCurve();
		}

		PrintWriter out = null;

		try
		{
			out = new PrintWriter(new BufferedWriter(new FileWriter(args[1])));

			for (Point point : curve.getPoints())
			{
				out.println(point.getX() + "," + point.getY());
			}
		}
		finally
		{
			if (out != null)
			{
				out.close();
			}
		}
	}
}