/*
 * $Id$
 * 
 * ============================================================================
 *
 * This file is part of Myra.
 *
 * Myra is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Myra is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Myra. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright (C) 2008-2009  Fernando Esteban Barril Otero
 * 
 * ============================================================================
 */

package net.sf.myra.datamining.statistics;

/**
 * @author Fernando Esteban Barril Otero
 * @version $Revision$ $Date::                     $
 */
public class Point
{
	/**
	 * The x axis value.
	 */
	private double x;

	/**
	 * The y axis value.
	 */
	private double y;

	/**
	 * Default constructor.
	 * 
	 * @param x the x axis value.
	 * @param y the y axis value.
	 */
	public Point(double x, double y)
	{
		this.x = x;
		this.y = y;
	}

	/**
	 * Returns the x axis value.
	 * 
	 * @return the x axis value.
	 */
	public double getX()
	{
		return x;
	}
	
	/**
	 * Sets the x axis value.
	 * 
	 * @param x the value to set.
	 */
	public void setX(double x)
	{
		this.x = x;
	}

	/**
	 * Returns the y axis value.
	 * 
	 * @return the y axis value.
	 */
	public double getY()
	{
		return y;
	}

	/**
	 * Sets the y axis value.
	 * 
	 * @param y the value to set.
	 */
	public void setY(double y)
	{
		this.y = y;
	}

	@Override
	public String toString()
	{
		return "(" + x + "," + y + ")";
	}
}