/*
 * This file is part of Myra.
 *
 * Myra is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Myra is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Myra. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright (C) 2008-2012 Fernando Esteban Barril Otero
 */

package net.sf.myra.datamining.statistics;

public class Printer
{
	public static void main(String[] args)
		throws Exception
	{
		if (args.length < 1)
		{
			StringBuffer usage = new StringBuffer();
			usage.append("usage: java ");
			usage.append(Printer.class.getName());
			usage.append(" <predictions file>");

			System.out.println(usage.toString());
			System.exit(1);
		}

		Parser parser = new Parser();
		Information info = parser.read(args[0], CurveFactory.PRECISION_RECALL);

		for (String label : info.getAvailable())
		{
			double area = info.get(label).area();
			System.out.println(label + ": " + area);
		}
	}
}