
package net.sf.myra.datamining.util;

import java.io.File;
import java.io.FilenameFilter;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

import net.sf.myra.datamining.data.Dataset;
import net.sf.myra.datamining.data.Instance;
import net.sf.myra.datamining.io.ExtendedArffHelper;
import net.sf.myra.datamining.io.Helper;

public class FilterNonLeafPredictions
{
	public static void main(String[] args)
		throws Exception
	{
		File directory = new File(args[0]);
		File target = new File(args[1]);
		target.mkdirs();
		
		
		File[] datasets = directory.listFiles(new FilenameFilter()
			{
				public boolean accept(File dir, String name)
				{
					return name.endsWith("arffx");
				}
			});

		for (File dataset : datasets)
		{
			Dataset ds = Helper.open(dataset);

			// removes the instance that are not associated with a leaf label

			Iterator<Instance> iterator = ds.getInstances().iterator();
			Collection<Instance> toRemove = new ArrayList<Instance>();

			while (iterator.hasNext())
			{
				Instance instance = iterator.next();

				if (!instance.isLeaf())
				{
					toRemove.add(instance);
				}
			}

			for (Instance instance : toRemove)
			{
				ds.remove(instance);
			}

			new ExtendedArffHelper().write(target, ds);
		}
	}
}