package net.sf.myra.datamining.util;

import java.text.DecimalFormat;
import java.text.NumberFormat;

public class Stdev
{
	public static void main(String[] args)
	{
		double[] numbers = {
			3.109803921568627,
			3.020261437908497,
			3.1388888888888884,
			3.083660130718954,
			3.1715686274509802,
			2.923856209150327,
			2.8954248366013076,
			3.092483660130719,
			3.0313725490196077,
			2.9398692810457514
		};
		
		System.out.println(stdev(numbers));
	}

	public static String stdev(double[] numbers)
	{
		if (numbers.length == 0)
		{
			return "0.0 +/- 0.0";
		}

		double mean = 0;

		for (int i = 0; i < numbers.length; i++)
		{
			mean += numbers[i];
		}

		mean /= numbers.length;
		double std = 0;

		for (int i = 0; i < numbers.length; i++)
		{
			std += Math.pow(numbers[i] - mean, 2);
		}

		std /= (numbers.length - 1);
		std /= numbers.length;
		std = Math.sqrt(std);

		if (Double.isNaN(std) || Double.isInfinite(std))
		{
			std = 0.0;
		}

		NumberFormat formatter = new DecimalFormat("#,##0.000");
		return formatter.format(mean) + " +/- " + formatter.format(std);
	}
}
