/*
 * $Id$
 * 
 * ============================================================================
 *
 * This file is part of Myra.
 *
 * Myra is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Myra is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Myra. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright (C) 2008  Fernando Esteban Barril Otero
 * 
 * ============================================================================
 */

package net.sf.myra.framework;

/**
 * The <code>DecisionPolicy</code> class represents the selection policy of
 * the trail construction procedure.
 * 
 * @author Fernando Esteban Barril Otero
 * @version $Revision$ $Date::                     $
 * 
 * @see DefaultTrailFactory
 */
public interface DecisionPolicy
{
	/**
	 * Selects the next vertex to visit based on the partial trail.
	 * 
	 * @param graph the problem graph.
	 * @param trail the partial trail.
	 * 
	 * @return the next vertex to visit based on the partial trail.
	 */
	public Vertex<?> select(Graph<?> graph, Trail trail)
		throws NoAvailableVertexException;
}