/*
 * This file is part of Myra.
 *
 * Myra is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Myra is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Myra. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright (C) 2008-2011 Fernando Esteban Barril Otero
 */

package net.sf.myra.framework;

/**
 * Default heuristic value implementation. Each vertex and edge can have an
 * heuristic value associated.
 * 
 * @author Fernando Esteban Barril Otero
 */
public class HeuristicValue
	extends Weight
{
	/**
	 * Creates a new heuristic value with the specified value.
	 * 
	 * @param value the heuristic value.
	 */
	public HeuristicValue(double value)
	{
		super(value);
	}

	@Override
	public HeuristicValue clone()
	{
		return (HeuristicValue) super.clone();
	}
}