/*
 * $Id$
 * 
 * ============================================================================
 *
 * This file is part of Myra.
 *
 * Myra is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Myra is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Myra. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright (C) 2008  Fernando Esteban Barril Otero
 * 
 * ============================================================================
 */

package net.sf.myra.framework;

/**
 * Signals that there are no available vertices to be selected.
 * 
 * @author Fernando Esteban Barril Otero
 * @version $Revision$ $Date: 2008-02-08 15:54:20#$
 */
public class NoAvailableVertexException
	extends Exception
{
	private static final long serialVersionUID = -6044068281919833473L;

	/**
	 * Creates a new <code>NoAvailableVertexException</code> with
	 * <code>null</code> as its detail message.
	 */
	public NoAvailableVertexException()
	{
		super();
	}

	/**
	 * Creates a new <code>NoAvailableVertexException</code> with the
	 * specified detail message.
	 * 
	 * @param message the detail message.
	 */
	public NoAvailableVertexException(String message)
	{
		super(message);
	}
}