/*
 * $Id$
 * 
 * ============================================================================
 *
 * This file is part of Myra.
 *
 * Myra is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Myra is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Myra. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright (C) 2008-2009  Fernando Esteban Barril Otero
 * 
 * ============================================================================
 */

package net.sf.myra.gui;

import java.awt.Dimension;
import javax.swing.JDialog;
import javax.swing.JTabbedPane;

/**
 * @author Fernando Esteban Barril Otero
 * @version $Revision$ $Date::                     $
 */
public class ToolDialog
	extends JDialog
{
	private static final long serialVersionUID = -4803984192212198158L;

	/**
	 * Default constructor.
	 * 
	 * @param frame the parent frame.
	 */
	public ToolDialog(Frame frame)
	{
		super(frame, "Tools", true);

		JTabbedPane panel = new JTabbedPane();
		panel.addTab("Result Parser", new ParserPanel(frame));
		panel.addTab("Curve Analysis", new CurvePanel());
		panel.addTab("Dataset Details", new DatasetDetailsPanel(frame));

		getContentPane().add(panel, "Center");

		setPreferredSize(new Dimension(479, 470));
		setDefaultCloseOperation(DISPOSE_ON_CLOSE);
		Dimension screen = getToolkit().getScreenSize();
		setLocation((screen.width / 2) - 213, (screen.height / 2) - 235);

		pack();
	}
}