
package net.sf.myra.hantminer.util;

import java.io.File;
import java.io.FileWriter;
import java.io.PrintWriter;

public class ClusTemplate
{
	private final static String TEMPLATE = "[General]\n"
		+ "Compatibility = MLJ08\n\n" + "[Data]\n" + "File = <training>\n"
		+ "PruneSet = <prune>\n" + "TestSet = <test>\n\n" + "[Tree]\n"
		+ "ConvertToRules = No\n"
		+ "FTest = [0.001,0.005,0.01,0.05,0.1,0.125]\n\n" + "[Model]\n"
		+ "MinimalWeight = 5.0\n\n" + "[Attributes]\n"
		+ "ReduceMemoryNominalAttrs = yes\n\n" + "[Hierarchical]\n"
		+ "Type = Tree\n" + "WType = ExpAvgParentWeight\n"
		+ "HSeparator = /\n\n" + "[Output]\n" + "WritePredictions = {Test}";

	public static void main(String[] args)
		throws Exception
	{
		for (int i = 0; i < 10; i++)
		{
			String filename = "0" + i + "_" + args[1] + ".s";

			File dir = new File(args[0]);
			PrintWriter writer =
				new PrintWriter(new FileWriter(new File(dir, filename)));

			String current =
				TEMPLATE.replace("<training>", "VR0" + i + "_" + args[1]
					+ ".arffx");
			current =
				current
					.replace("<prune>", "VS0" + i + "_" + args[1] + ".arffx");
			current =
				current.replace("<test>", "TS0" + i + "_" + args[1] + ".arffx");

			writer.println(current);
			writer.close();
		}
	}
}
